## Retrieve Schedule

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/dataexports/schedules/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/dataexports/schedules/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/dataexports/schedules/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- `200` - Successful response
- `4XX` - Client errors
- `5XX` - Server errors

### Expected Response

```json
{
  "id": "<string>",
  "version": 123,
  "name": "<string>",
  "code": "<string>",
  "sourceType": "<unknown>",
  "destinationIds": [
    "<string>"
  ],
  "scheduleType": "<unknown>",
  "period": 123,
  "offset": 123,
  "cronExpression": "<string>",
  "exportFileFormat": "<unknown>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "operationalDataTypes": []
}
```

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**: string, required

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**: required, UUID of the organization
- **id**: required, UUID of the Schedule to retrieve.

### Response Structure

- `id`: required, The id of the schedule.
- `version`: integer, The version number.
- `name`: string, The name of the Data Export Schedule.
- `code`: string, Unique short code of the Data Export Schedule.
- `sourceType`: any, Type of source data.
- `destinationIds`: array of strings, The Export Destination ids.
- `scheduleType`: any, Type of schedule.
- `period`: integer, Defines the Schedule frequency for the Data Export.
- `offset`: integer, Offset indicating starting point of the export.
- `cronExpression`: string, Describing the frequency.
- `exportFileFormat`: any, The format of the export file.
- `dtCreated`: string, The DateTime when created.
- `dtLastModified`: string, The DateTime when last modified.
- `createdBy`: string, The id of the user who created this Schedule.
- `lastModifiedBy`: string, The id of the user who last modified this Schedule.
- `operationalDataTypes`: array of strings, A list of operational data types included in the export.
